Межсайтовый скриптинг в sBlog

Дата публикации:
17.03.2006
Дата изменения:
17.03.2006
Всего просмотров:
1185
Опасность:
Средняя
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1135
CVE-2006-2189
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
sBlog 0.x
Уязвимые версии: sBlog 0.7.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "keyword" в HTTP POST в сценарии "search.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в поле "username" при публикации комментария. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Пример/Эксплоит: см. источник сообщения.

URL производителя: servous.se

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: sBlog 0.7.2 <== Multiple Cross-Site Scripting Vulnerability

или введите имя

CAPTCHA